summaryrefslogtreecommitdiffstats
path: root/share/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'share/scripts')
-rwxr-xr-xshare/scripts/curl24
-rwxr-xr-xshare/scripts/curl.d/0001-debconf1
-rwxr-xr-xshare/scripts/debconf30
-rwxr-xr-xshare/scripts/debconf.d/0001-preseed-file8
-rw-r--r--share/scripts/debconf.d/0001-preseed-file.templates2
-rwxr-xr-xshare/scripts/debconf.d/0002-preseed-debconf5
-rwxr-xr-xshare/scripts/debconf.d/0003-debconf1
-rw-r--r--share/scripts/debconf.d/0003-debconf.templates2
-rwxr-xr-xshare/scripts/debootstrap5
9 files changed, 41 insertions, 37 deletions
diff --git a/share/scripts/curl b/share/scripts/curl
index 965bc26..54def52 100755
--- a/share/scripts/curl
+++ b/share/scripts/curl
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
@@ -20,12 +19,15 @@
set -e
+PROJECT="open-infrastructure"
+SOFTWARE="compute-tools"
+PROGRAM="container"
SCRIPT="${0}"
-HOOKS="/etc/container-tools/hooks"
-KEYS="/etc/container-tools/keys"
+HOOKS="/etc/${PROJECT}/${PROGRAM}/hooks"
+KEYS="/etc/${PROJECT}/${PROGRAM}/keys"
MACHINES="/var/lib/machines"
-CACHE="/var/cache/container-tools/system"
+CACHE="/var/cache/${PROJECT}/${PROGRAM}/system"
Parameters ()
{
@@ -241,8 +243,8 @@ then
# Downloading container list
if curl --fail --head --output /dev/null --silent "${SERVER}/container-list.txt"
then
- mkdir -p /tmp/container-tools
- DEBCONF_TMPDIR="$(mktemp -d -p /tmp/container-tools -t $(basename ${0}).XXXX)"
+ mkdir -p "/tmp/${SOFTWARE}"
+ DEBCONF_TMPDIR="$(mktemp -d -p "/tmp/${SOFTWARE}" -t $(basename ${0}).XXXX)"
export DEBCONF_TMPDIR
if [ -z "${ARCHITECTURE}" ]
@@ -257,7 +259,7 @@ then
GREP_PATTERN="${GREP_PATTERN:-${ARCHITECTURE}}"
echo "Downloading $(echo ${SERVER} | awk -F/ '{ print $3 }') container list"
- curl --fail --location --progress-bar --user-agent container-tools/${VERSION} ${CURL_OPTIONS} \
+ curl --fail --location --progress-bar --user-agent ${SOFTWARE}/${VERSION} ${CURL_OPTIONS} \
"${SERVER}/container-list.txt" | grep -E "${GREP_PATTERN}" > "${DEBCONF_TMPDIR}/container-list.txt"
umask 0022
@@ -265,12 +267,12 @@ then
Debconf
# Run debconf parts
- for DEBCONF_SCRIPT in /usr/share/container-tools/scripts/curl.d/*
+ for DEBCONF_SCRIPT in /usr/share/${PROJECT}/${PROGRAM}/scripts/curl.d/*
do
if [ -x "${DEBCONF_SCRIPT}" ]
then
# FIXME
- # debconf -ocontainer-tools "${DEBCONF_SCRIPT}"
+ # debconf -o${SOFTWARE} "${DEBCONF_SCRIPT}"
"${DEBCONF_SCRIPT}"
fi
done
@@ -280,7 +282,7 @@ then
# Remove debconf temporary files
rm --preserve-root --one-file-system -rf "${DEBCONF_TMPDIR}"
- rmdir --ignore-fail-on-non-empty /tmp/container-tools 2>&1 || true
+ rmdir --ignore-fail-on-non-empty "/tmp/${SOFTWARE}" 2>&1 || true
fi
fi
@@ -320,7 +322,7 @@ do
fi
echo "Downloading ${FILE}"
- curl --fail --location --progress-bar --user-agent container-tools/${VERSION} ${CURL_OPTIONS} ${CURL_TIME_COND} \
+ curl --fail --location --progress-bar --user-agent ${SOFTWARE}/${VERSION} ${CURL_OPTIONS} ${CURL_TIME_COND} \
"${SERVER}/${FILE}" -o "${CACHE}/${FILE}"
fi
done
diff --git a/share/scripts/curl.d/0001-debconf b/share/scripts/curl.d/0001-debconf
index 95e6a62..3f98f74 100755
--- a/share/scripts/curl.d/0001-debconf
+++ b/share/scripts/curl.d/0001-debconf
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
diff --git a/share/scripts/debconf b/share/scripts/debconf
index 2c26ffa..fbb20fa 100755
--- a/share/scripts/debconf
+++ b/share/scripts/debconf
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
@@ -20,11 +19,14 @@
set -e
+PROJECT="open-infrastructure"
+SOFTWARE="compute-tools"
+PROGRAM="container"
SCRIPT="${0}"
export SCRIPT
-CONFIG="/etc/container-tools/config"
-HOOKS="/etc/container-tools/hooks"
+CONFIG="/etc/${PROJECT}/${PROGRAM}/config"
+HOOKS="/etc/${PROJECT}/${PROGRAM}/hooks"
MACHINES="/var/lib/machines"
Parameters ()
@@ -157,7 +159,7 @@ Upgrade_system ()
# Disable dpkg syncing
-cat > "${DIRECTORY}/etc/dpkg/dpkg.cfg.d/container-tools" << EOF
+cat > "${DIRECTORY}/etc/dpkg/dpkg.cfg.d/${SOFTWARE}" << EOF
force-unsafe-io
EOF
@@ -190,7 +192,7 @@ Cleanup_system ()
Chroot "${DIRECTORY}" "apt-get clean"
# Cleanup
- rm -f "${DIRECTORY}/etc/dpkg/dpkg.cfg.d/container-tools"
+ rm -f "${DIRECTORY}/etc/dpkg/dpkg.cfg.d/${SOFTWARE}"
rm -f "${DIRECTORY}/usr/sbin/policy-rc.d"
# Unmount pseudo-filesystems
@@ -202,8 +204,8 @@ Cleanup_system ()
Debconf ()
{
# Configure local debconf
- mkdir -p /tmp/container-tools
- DEBCONF_TMPDIR="$(mktemp -d -p /tmp/container-tools -t $(basename ${0}).XXXX)"
+ mkdir -p "/tmp/${SOFTWARE}"
+ DEBCONF_TMPDIR="$(mktemp -d -p "/tmp/${SOFTWARE}" -t $(basename ${0}).XXXX)"
export DEBCONF_TMPDIR
mkdir -p "${DEBCONF_TMPDIR}/debconf"
@@ -853,7 +855,7 @@ EOF
cat > "${DIRECTORY}/etc/systemd/system/cnt-ipv4-post-up-eno${NUMBER}.service" << EOF
[Unit]
-Description=container-tools IPV4_POST_UP
+Description=${SOFTWARE} IPV4_POST_UP
After=network-online.target
Wants=network-online.target
@@ -873,7 +875,7 @@ EOF
cat > "${DIRECTORY}/etc/systemd/system/cnt-ipv4-post-down-eno${NUMBER}.service" << EOF
[Unit]
-Description=container-tools IPV4_POST_DOWN
+Description=${SOFTWARE} IPV4_POST_DOWN
After=network.target
Wants=network.target
@@ -986,12 +988,12 @@ do
done
# Run debconf parts
-for DEBCONF_SCRIPT in /usr/share/container-tools/scripts/debconf.d/*
+for DEBCONF_SCRIPT in "/usr/share/${PROJECT}/${PROGRAM}/scripts/debconf.d"/*
do
if [ -x "${DEBCONF_SCRIPT}" ]
then
# FIXME
- # debconf -ocontainer-tools "${DEBCONF_SCRIPT}"
+ # debconf -o${SOFTWARE} "${DEBCONF_SCRIPT}"
"${DEBCONF_SCRIPT}"
fi
done
@@ -999,7 +1001,7 @@ done
# Read-in configuration from debconf
. "${DEBCONF_TMPDIR}/debconf.default"
-CACHE="/var/cache/container-tools/${MODE}"
+CACHE="/var/cache/${PROJECT}/${PROGRAM}/${MODE}"
SYSTEM="${MACHINES}/${NAME}"
## Generic parts
@@ -1012,7 +1014,7 @@ then
mv "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}.tmp" "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}"
fi
-Upgrade_system "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}" || echo "W: If upgrading the system failed, try removing the cache for your distribution in /var/cache/container-tools"
+Upgrade_system "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}" || echo "W: If upgrading the system failed, try removing the cache for your distribution in /var/cache/${PROJECT}/${PROGRAM}"
Cleanup_system "${CACHE}/${DISTRIBUTION}_${ARCHITECTURE}"
## Specific parts
@@ -1130,7 +1132,7 @@ fi
# remove debconf temporary files
rm --preserve-root --one-file-system -rf "${DEBCONF_TMPDIR}"
-rmdir --ignore-fail-on-non-empty /tmp/container-tools 2>&1 || true
+rmdir --ignore-fail-on-non-empty "/tmp/${SOFTWARE}" 2>&1 || true
# Post hooks
for FILE in "${HOOKS}/post-${SCRIPT}".* "${HOOKS}/${NAME}.post-${SCRIPT}"
diff --git a/share/scripts/debconf.d/0001-preseed-file b/share/scripts/debconf.d/0001-preseed-file
index 021dabf..59855e9 100755
--- a/share/scripts/debconf.d/0001-preseed-file
+++ b/share/scripts/debconf.d/0001-preseed-file
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
@@ -20,7 +19,10 @@
set -e
-CONFIG="/etc/container-tools/debconf"
+PROJECT="open-infrastructure"
+PROGRAM="container"
+
+CONFIG="/etc/${PROJECT}/${PROGRAM}/debconf"
DEBCONF_NOWARNINGS="true"
export DEBCONF_NOWARNINGS
@@ -41,7 +43,7 @@ then
elif [ "$(ls ${CONFIG}/*/${NAME}.cfg 2>/dev/null | wc -l)" -eq 1 ]
then
# user did not specify a pressed file, but there is 1 (and only 1)
- # matching in a sub-directory of /etc/container-tools/debconf
+ # matching in a sub-directory of /etc/${PROJECT}/${PROGRAM}/debconf
FILE="$(ls ${CONFIG}/*/${NAME}.cfg)"
diff --git a/share/scripts/debconf.d/0001-preseed-file.templates b/share/scripts/debconf.d/0001-preseed-file.templates
index 707da95..0c40dde 100644
--- a/share/scripts/debconf.d/0001-preseed-file.templates
+++ b/share/scripts/debconf.d/0001-preseed-file.templates
@@ -1,6 +1,6 @@
Template: cnt-debconf/title
Type: title
-Description: container-tools
+Description: compute-tools
Template: cnt-debconf/preseed-files
Type: select
diff --git a/share/scripts/debconf.d/0002-preseed-debconf b/share/scripts/debconf.d/0002-preseed-debconf
index eede690..bcea53f 100755
--- a/share/scripts/debconf.d/0002-preseed-debconf
+++ b/share/scripts/debconf.d/0002-preseed-debconf
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
@@ -50,14 +49,14 @@ do
# add preseed file to debconf
DEBCONF_PRESEED_FILES="${DEBCONF_PRESEED_FILES} ${PRESEED_FILE}"
- if ! grep -qs '^ *container-tools *cnt-debconf/include-preseed-files' "${PRESEED_FILE}"
+ if ! grep -qs '^ *compute-tools *cnt-debconf/include-preseed-files' "${PRESEED_FILE}"
then
# preseed file has no includes
continue
fi
# preseed file has includes
- INCLUDE_PRESEED_FILES="$(grep '^ *container-tools *cnt-debconf/include-preseed-files' ${PRESEED_FILE} | awk '{ $1=$2=$3=""; print $0 }' | sed -e 's|,| |g')"
+ INCLUDE_PRESEED_FILES="$(grep '^ *compute-tools *cnt-debconf/include-preseed-files' ${PRESEED_FILE} | awk '{ $1=$2=$3=""; print $0 }' | sed -e 's|,| |g')"
# FIXME: we're supporting only *ONE* include layer for now, so no nested/recursive includes just yet
for FILE in ${INCLUDE_PRESEED_FILES}
diff --git a/share/scripts/debconf.d/0003-debconf b/share/scripts/debconf.d/0003-debconf
index c8ac8df..ed14130 100755
--- a/share/scripts/debconf.d/0003-debconf
+++ b/share/scripts/debconf.d/0003-debconf
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
diff --git a/share/scripts/debconf.d/0003-debconf.templates b/share/scripts/debconf.d/0003-debconf.templates
index e3dbc24..acc26f3 100644
--- a/share/scripts/debconf.d/0003-debconf.templates
+++ b/share/scripts/debconf.d/0003-debconf.templates
@@ -1,6 +1,6 @@
Template: cnt-debconf/title
Type: title
-Description: container-tools
+Description: compute-tools
Template: cnt-debconf/mode
Type: select
diff --git a/share/scripts/debootstrap b/share/scripts/debootstrap
index b81ad91..7910ac3 100755
--- a/share/scripts/debootstrap
+++ b/share/scripts/debootstrap
@@ -1,6 +1,5 @@
#!/bin/sh
-# container-tools - Manage systemd-nspawn containers
# Copyright (C) 2014-2019 Daniel Baumann <daniel.baumann@open-infrastructure.net>
#
# SPDX-License-Identifier: GPL-3.0+
@@ -20,9 +19,11 @@
set -e
+PROJECT="open-infrastructure"
+PROGRAM="container"
SCRIPT="${0}"
-HOOKS="/etc/container-tools/hooks"
+HOOKS="/etc/${PROJECT}/${PROGRAM}/hooks"
MACHINES="/var/lib/machines"
Parameters ()